Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QNetworkRequest.CacheLoadControl

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QNetworkRequest.CacheLoadControl

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QNetworkRequest

    public static final class QNetworkRequest.CacheLoadControl

extends java.lang.Enum
implements QtEnumerator

Controls the caching mechanism of `QNetworkAccessManager`.

See Also:
  Serialized Form

Field Summary
`static QNetworkRequest.CacheLoadControl` | `AlwaysCache` only load from cache, indicating error if the item was not cached (i.e., off-line mode)
`static QNetworkRequest.CacheLoadControl` | `AlwaysNetwork` always load from network and do not check if the cache has a valid entry (similar to the "Reload" feature in browsers)
`static QNetworkRequest.CacheLoadControl` | `PreferCache` load from cache if available, otherwise load from network.
`static QNetworkRequest.CacheLoadControl` | `PreferNetwork` default value; load from the network if the cached entry is older than the network entry

Method Summary
`static QNetworkRequest.CacheLoadControl` | `resolve(int value)` Returns the QNetworkRequest$CacheLoadControl constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QNetworkRequest.CacheLoadControl` | `valueOf(java.lang.String name)`
`static QNetworkRequest.CacheLoadControl[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AlwaysNetwork

    public static final QNetworkRequest.CacheLoadControl AlwaysNetwork

  always load from network and do not check if the cache has a valid entry (similar to the "Reload" feature in browsers)

### PreferNetwork

    public static final QNetworkRequest.CacheLoadControl PreferNetwork

  default value; load from the network if the cached entry is older than the network entry

### PreferCache

    public static final QNetworkRequest.CacheLoadControl PreferCache

  load from cache if available, otherwise load from network. Note that this can return possibly stale (but not expired) items from cache.

### AlwaysCache

    public static final QNetworkRequest.CacheLoadControl AlwaysCache

  only load from cache, indicating error if the item was not cached (i.e., off-line mode)

Method Detail

### values

    public static QNetworkRequest.CacheLoadControl[] values()

### valueOf

    public static QNetworkRequest.CacheLoadControl valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QNetworkRequest.CacheLoadControl resolve(int value)

  Returns the QNetworkRequest$CacheLoadControl constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD